##### 7.5.2.0. allPositive

Procedure from library `bfun.lib` (see bfun_lib).

Usage:
  allPositive(v); v an intvec

Return:
  int, 1 if all components of v are positive, or 0 otherwise

Purpose:
  check whether all components of an intvec are positive

Example:

    LIB "bfun.lib";
    intvec v = 1,2,3;
    allPositive(v);
    ==> 1
    intvec w = 1,-2,3;
    allPositive(w);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.